Package org.springframework.cache.interceptor

# Class CacheAspectSupport.CacheOperationMetadata

java.lang.Object
org.springframework.cache.interceptor.CacheAspectSupport.CacheOperationMetadata

Enclosing class:
  CacheAspectSupport

protected static class CacheAspectSupport.CacheOperationMetadata extends Object
Metadata of a cache operation that does not depend on a particular invocation which makes it a good candidate for caching.

## Constructor Summary

Constructors
Constructor
Description
`CacheOperationMetadata(CacheOperation operation, Method method, Class<?> targetClass, KeyGenerator keyGenerator, CacheResolver cacheResolver)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CacheOperationMetadata

public CacheOperationMetadata(CacheOperation operation, Method method, Class<?> targetClass, KeyGenerator keyGenerator, CacheResolver cacheResolver)